
package de.ivu.elect.dokumente.stimmzettel;

import de.ivu.elect.business.stimmzettel.entity.EntityAufStimmzettelDaten;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStimmzettelPosition;

public enum StimmzettelExportListeFormatDarstellung {

  STANDARD {

    @Override
    public String getListeName(EntityAufStimmzettelDaten entityAufStimmzettelDaten, Liste liste) {
      WahlvorschlagStimmzettelPosition listeStimmzettelPosition = liste.getStimmzettelPosition(entityAufStimmzettelDaten);

      if (listeStimmzettelPosition.hasPosition()) {
        return entityAufStimmzettelDaten.getMessage("StimmzettelExportListeFormatDarstellung.STANDARD.ListeName", listeStimmzettelPosition.formatPosition());
      }

      return "";
    }
  }

  ;

  private StimmzettelExportListeFormatDarstellung() {
  }

  public abstract String getListeName(EntityAufStimmzettelDaten entityAufStimmzettelDaten, Liste liste);
}
